_h = DFS_missioncore execVM "MultiTask.sqf"; // Prepare MultiTask's functions, the "DFS_missioncore" argument is the functions module. Can be practically any other object (as long as it can't become null - deleteVehicle or player disconnect)
waitUntil {scriptDone _h}; // Let's wait for the functions to end loading

// Stop units' yapping
{
	_x setVariable ["BIS_noCoreConversations", true];
} forEach allUnits;

if (isServer) then // Server-only part
{
	// Values for triggers, using setVariable's awesome third param to bypass JIP trouble:
	DFS_missioncore setVariable ["DFS_v_mdone", false, true];
	DFS_missioncore setVariable ["DFS_v_hasDocs", false, true];
	
	// Create some starting tasks
	["DFS_task_steal", """Steal documents"""] call DFS_createSimpleTask; // Create task, this functions has global effect
	["DFS_task_steal", '"Our intel reports that a batch of sensitive enemy documents has been delivered to a <marker name=""""DFS_m_base"""">base</marker> near Kamenny. Their exact position is unknown, but it is reasonable to expect them to be in the <marker name=""""DFS_m_co"""">base commander&apos;s barracks</marker>.<br/>Steal those documents."', """Steal documents""", """Documents?"""] call DFS_setSimpleTaskDescription; // Change description, has global effect, insane number of quatation marks is there because it's a string in a string or a string and per each level you have to multiply the quote count by 2.
	["DFS_task_steal", getMarkerPos "DFS_m_co"] call DFS_setSimpleTaskDestination; // Change destination (where the "marker" is), has global effect
	"DFS_task_steal" call DFS_taskCommit; // Commit changes to the task for all connected players

	["DFS_task_steal_noalarm", """Avoid detection"""] call DFS_createSimpleTask; // Create task, this functions has global effect
	["DFS_task_steal_noalarm", """Try to keep a low profile and avoid detection if possible.""", """Avoid detection""", ""] call DFS_setSimpleTaskDescription; // Change description, has global effect
	"DFS_task_steal_noalarm" call DFS_taskCommit; // Commit changes to the task for all connected players
};

if (!isDedicated) then // Client-only part
{
	[] call DFS_tasksSync; // Adds tasks to a JIP player, non-JIP player isn't affected in any way
};
